Package io.vertx.rxjava3.ext.web.proxy.handler

## Class ProxyHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.proxy.handler.ProxyHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`

      public class ProxyHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, Handler<RoutingContext>

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ProxyHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyHandler​(ProxyHandler delegate)` |
    `ProxyHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProxyHandler` | `create​(HttpProxy httpProxy)` |
    `static ProxyHandler` | `create​(HttpProxy httpProxy, int port, String host)` |
    `boolean` | `equals​(Object o)` |
    `ProxyHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static ProxyHandler` | `newInstance​(ProxyHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ProxyHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ProxyHandler

          public ProxyHandler​(ProxyHandler delegate)

    - #### ProxyHandler

          public ProxyHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ProxyHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static ProxyHandler create​(HttpProxy httpProxy)

    - #### create

          public static ProxyHandler create​(HttpProxy httpProxy,
                                            int port,
                                            String host)

    - #### newInstance

          public static ProxyHandler newInstance​(ProxyHandler arg)